javax.el

## Class VariableMapper

- java.lang.Object
- - javax.el.VariableMapper

-     public abstract class VariableMapper
      extends Object

  The interface to a map between EL variables and the EL expressions they are associated with.
  Since:
    JSP 2.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ValueExpression` | `resolveVariable(String variable)`
    `abstract ValueExpression` | `setVariable(String variable, ValueExpression expression)` Assign a ValueExpression to an EL variable, replacing any previously assignment to the same variable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableMapper

          public VariableMapper()

  - ### Method Detail

    - #### resolveVariable

          public abstract ValueExpression resolveVariable(String variable)

      Parameters:
        `variable` - The variable name
      Returns:
        the ValueExpression assigned to the variable, null if there is no previous assignment to this variable.

    - #### setVariable

          public abstract ValueExpression setVariable(String variable,
                                    ValueExpression expression)

      Assign a ValueExpression to an EL variable, replacing any previously assignment to the same variable. The assignment for the variable is removed if the expression is `null`.
      Parameters:
        `variable` - The variable name
        `expression` - The ValueExpression to be assigned to the variable.
      Returns:
        The previous ValueExpression assigned to this variable, null if there is no previous assignment to this variable.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.